Scrum - Defect #1155

Error opening Scrum Stats
2016-04-25 22:35 - Leonardo Sena

Status: Resolved

Priority: Normal

Category: Sprint stats

Target version: Scrum v0.14.0

Source: Customer Blocked: No
Detected on version: Scrum v0.13.2 Alone:

Description

The following error is throw on the production log:

Started GET "/redmine/projects/sad-gestor—-erp-wa/scrum/stats" for 177.193.189.61 at 2016-04-25 16:
25:55 -0400
Processing by ScrumController#stats as HTML
Parameters: {"project_id"=>"sad-gestor-erp-wa"}
Current user: Leonardo (id=4)
Completed 500 Internal Server Error in Oms (ActiveRecord: 0.0ms)

NoMethodError (undefined method “allowed_to_view_all time_entries?' for #<User:0x84elf00>):
vendor/bundle/ruby/2.0.0/gems/activemodel-4.2.3/1ib/active_model/attribute_methods.rb:433:in “me
thod_missing'
plugins/scrum/app/controllers/scrum_controller.rb:301:in " stats'
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1lib/action_controller/metal/implicit_render.rb:4:
in “send_action'
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1ib/abstract_controller/base.rb:198:in "process_a
ction'
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1lib/action_controller/metal/rendering.rb:10:in "p
rocess_action'
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1lib/abstract_controller/callbacks.rb:20:in “block
in process_action'
vendor/bundle/ruby/2.0.0/gems/activesupport-4.2.3/1ib/active_support/callbacks.rb:115:in ‘call'
vendor/bundle/ruby/2.0.0/gems/activesupport-4.2.3/1ib/active_support/callbacks.rb:115:in ‘call’
vendor/bundle/ruby/2.0.0/gems/activesupport-4.2.3/1lib/active_support/callbacks.rb:553:in “block
(2 levels) in compile'
vendor/bundle/ruby/2.0.0/gems/activesupport-4.2.3/1lib/active_support/callbacks.rb:503:in “call’
vendor/bundle/ruby/2.0.0/gems/activesupport-4.2.3/1ib/active_support/callbacks.rb:503:in “call’
vendor/bundle/ruby/2.0.0/gems/activesupport-4.2.3/1ib/active_support/callbacks.rb:88:in “run_cal
lbacks'
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1lib/abstract_controller/callbacks.rb:19:in ‘proce
ss_action'
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1lib/action_controller/metal/rescue.rb:29:in “proc
ess_action'
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1lib/action_controller/metal/instrumentation.rb:32
:in "block in process_action'
vendor/bundle/ruby/2.0.0/gems/activesupport-4.2.3/1lib/active_support/notifications.rb:164:in “bl
ock in instrument'

N

vendor/bundle/ruby/2.0.0/gems/activesupport-4.2.3/1ib/active_support/notifications/instrumenter.
rb:20:in "“instrument'
vendor/bundle/ruby/2.0.0/gems/activesupport-4.2.3/1lib/active_support/notifications.rb:164:in "in
strument'
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1lib/action_controller/metal/instrumentation.rb:30
:in “process_action'
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1lib/action_controller/metal/params_wrapper.rb:250
:in “process_action’
vendor/bundle/ruby/2.0.0/gems/activerecord-4.2.3/1ib/active_record/railties/controller_runtime.r
b:18:in "process_action’
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1lib/abstract_controller/base.rb:137:in "process'

vendor/bundle/ruby/2.0.0/gems/actionview—-4.2.3/1ib/action_view/rendering.rb:30:in ‘process'
vendor/bundle/ruby/2.0.0/gems/actionpack—-4.2.3/1lib/action_controller/metal.rb:196:in “dispatch'
vendor/bundle/ruby/2.0.0/gems/actionpack-4.2.3/1lib/action_controller/metal/rack_delegation.rb:13
.0/gems/request_store-1.0.5/1ib/request_store/middleware.rb:9:1in
.0/gems/rack-1.6.4/1ib/rack/etag.rb:24:in “call’
.0/gems/rack-1.6.4/1lib/rack/conditionalget.rb:25:in “call’

.0/gems/rack-1.6.4/1ib/rack/head.rb:13:in “call’
.0/gems/actionpack-4.2.3/1lib/action_dispatch/middleware/params_parser.rb:2
.0/gems/actionpack-4.2.3/1lib/action_dispatch/middleware/flash.rb:260:in “c
.0/gems/rack-1.6.4/1ib/rack/session/abstract/id.rb:225:in " context'

.0/gems/rack-1.6.4/1ib/rack/session/abstract/id.rb:220:in “call'

.0/gems/actionpack-4.2.3/1ib/action_dispatch/middleware/cookies.rb:560:1in

.0/gems/activerecord-4.2.3/1ib/active_record/query_cache.rb:36:in “call'
.0/gems/actionpack-4.
.0/gems/actionpack-4.
.0/gems/actionpack-4.
.0/gems/railties-4.2.

.0/gems/railties-4.2.
.0/gems/activesupport-4.2.3/1lib/active_support/tagged_logging.rb:68:in

.0/gems/railties—-4.2.

.0/gems/actionpack-4.2.3/1ib/action_dispatch/middleware/callbacks.rb:27:in

2.3/1lib/action_dispatch/middleware/remote_ip.rb:78:1in

2.3/1lib/action_dispatch/middleware/debug_exceptions.r

2.3/1lib/action_dispatch/middleware/show_exceptions.rb

3/1lib/rails/rack/logger.rb:38:in ‘call_app'
3/1lib/rails/rack/logger.rb:20:in “block in call'

3/1lib/rails/rack/logger.rb:20:in ‘call’

.0/gems/rack-1.6.4/1lib/rack/methodoverride.rb:22:in “call’
.0/gems/rack-1.6.4/1lib/rack/runtime.rb:18:in “call'
0.
0/gems/actionpack—-4.2.3/1lib/action_dispatch/middleware/static.rb:116:1in

.0/gems/rack-1.6.4/1ib/rack/sendfile.rb:113:in “call'
.0/gems/railties—-4.2.
.0/gems/railties-4.2.

3/1lib/rails/engine.rb:518:in “call'
3/1lib/rails/application.rb:165:in “call'
vendor/bundle/ruby/2.0.0/gems/railties-4.2.3/1ib/rails/railtie.rb:194:in “public_send'
vendor/bundle/ruby/2.0.0/gems/railties-4.2.3/1ib/rails/railtie.rb:194:in "method_missing'
vendor/bundle/ruby/2.0.0/gems/rack-1.6.4/1lib/rack/urlmap.rb:66:in "block in call'
vendor/bundle/ruby/2.0.0/gems/rack-1.6.4/1lib/rack/urlmap.rb:50:in "each'
vendor/bundle/ruby/2.0.0/gems/rack-1.6.4/1ib/rack/urlmap.rb:50:in “call’
vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/1lib/thin/connection.rb:82:in “block in pre_
process'
vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/1ib/thin/connection.rb:80:in "catch’
vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/1lib/thin/connection.rb:80:in "pre_process'
vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/1lib/thin/connection.rb:55:in “process'
vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/1lib/thin/connection.rb:41:in "receive_data'
vendor/bundle/ruby/2.0.0/gems/eventmachine-1.0.3-x86-mingw32/1lib/eventmachine.rb:187:in " run_mac
hine'
vendor/bundle/ruby/2.0.0/gems/eventmachine-1.0.3-x86-mingw32/1lib/eventmachine.rb:187:in “run'
vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/1ib/thin/backends/base.rb:73:in "start'
vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/1ib/thin/server.rb:162:in " start'
vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/1ib/thin/controllers/controller.rb:87:1in s
tart'
vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/1ib/thin/runner.rb:200:in "run_command'

[e)}

vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/1lib/thin/runner.rb:156:in “run!'
vendor/bundle/ruby/2.0.0/gems/thin-1.6.1-x86-mingw32/bin/thin:6:in "<top (required)>"'
bin/thin:16:in "~ load'

bin/thin:16:in "~ <main>'

Which will display the default 500 error message.
Im currently on version v0.13.2.

Subtasks:
To do # 1169: Use Redmine 3.0.0 compatible 'allow_to' method Resolved

History

#1 - 2016-05-03 22:43 - Redmine Smile

The method allowed_to_view_all_time_entries? was introduced with Redmine 3.1:

http://www.redmine.org/issues/8929

So | suppose you will have to upgrade to that version,

Or replace scrum/lib/scrum/user_patch.rb by:

H H o

Copyright © Emilio Gonzdlez Montafla
Licence: Attribution & no derivates
* Attribution to the plugin web page URL should be done if you want to use it.
https://redmine.ociotec.com/projects/redmine-plugin-scrum
* No derivates of this plugin (or partial) are allowed.
Take a look to licence.txt file at plugin root folder for further details.

require_dependency "user"

module Scrum

module UserPatch
def self.included (base)
base.class_eval do

has_many :sprint_efforts, :dependent => :destroy

AR SRR e e A AR EEEE RSt EEEE Rt AR EEEE Tty

# Smile specific retro patch : Retro-compatibility Redmine < 3.1
if Redmine::VERSION::MAJOR < 3 || (Redmine::VERSION::MAJOR == 3 && Rails::VERSION::MINOR < 1)
def allowed_to_view_all_time_entries? (context)
allowed_to? (:view_time_entries, context) do |role, user|
false
end
end
end
# END -- Smile specific retro patch
# R R R I I R Ik
end
end
end
http://www.redmine.org/issues/8929

end

#2 - 2016-05-03 22:44 - Redmine Smile

Lines after the pre bloc are to ignore

#3 - 2016-05-03 22:48 - Leonardo Sena

The recomended version should be 3.1.x then.
The plugins page on redmine's site should be updated, it says:

Compatible with: Redmine 3.1.x, 3.0.x
#4 - 2016-06-21 13:15 - Emilio Gonzalez Montaina
- Status changed from New to In progress

- Target version set to Scrum v0.14.0

- Sprint set to Sprint 28

#5 - 2016-06-21 13:17 - Emilio Gonzalez Montaina

- Status changed from In progress to Resolved
